
set( nusystematics_VERSION 00.04.01 )
set( nusystematics_UPS_VERSION v00_04_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( systematicstools  )
find_ups_product( art  )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_root(  )
find_ups_product( nugen  )
find_ups_product( genie  )
find_ups_product( dk2nudata  )
find_ups_product( dk2nugenie  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( nusimdata  )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-matrix/BUILDTYPE/debug/QUAL/s86-c2/label1/swarm/label2/SLF6/build/libxml2/v2_9_9/Linux64bit+2.6-2.12-debug/lib NO_DEFAULT_PATH )
  cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
find_ups_product( log4cpp  )
set(NUSYSTEMATICS_GENIEREWEIGHT_CONFIG "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_GENIEReWeight_config.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_GENIEREWEIGHT_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_GENIEReWeight_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_MKSINGLEPITEMPLATE_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_MKSinglePiTemplate_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_BERPAWEIGHT_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_BeRPAWeight_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_MISCINTERACTIONSYSTS_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_MiscInteractionSysts_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_NOVASTYLENONRESPIONNORM_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_NOvAStyleNonResPionNorm_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_MINERVAE2P2H_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_MINERvAE2p2h_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_EBLEPMOMSHIFT_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_EbLepMomShift_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_MINERVAQ0Q3WEIGHTING_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_MINERvAq0q3Weighting_tool.so")
set(NUSYSTEMATICS_SYSTPROVIDERS_FSILIKEEAVAILSMEARING_TOOL "$ENV{NUSYSTEMATICS_LIB}/libnusystematics_systproviders_FSILikeEAvailSmearing_tool.so")
  include_directories ( "$ENV{NUSYSTEMATICS_INC}" )

check_required_components(nusystematics)

